> ## Documentation Index
> Fetch the complete documentation index at: https://torpedo.co.mz/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List suppressed addresses

> Returns addresses that are blocked from receiving emails due to
hard bounces or spam complaints. Torpedo automatically adds
addresses here — you can remove them if appropriate.




## OpenAPI

````yaml /openapi.yaml get /api/v1/suppressions
openapi: 3.0.3
info:
  title: Torpedo API
  version: '1.0'
  description: |
    Torpedo is a transactional email API built for developers.
    Send emails from your own verified domain with a single HTTP call.
  contact:
    email: support@torpedo.co.mz
  termsOfService: https://torpedo.co.mz/terms
servers:
  - url: https://api.torpedo.co.mz
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/v1/suppressions:
    get:
      tags:
        - Suppressions
      summary: List suppressed addresses
      description: |
        Returns addresses that are blocked from receiving emails due to
        hard bounces or spam complaints. Torpedo automatically adds
        addresses here — you can remove them if appropriate.
      operationId: listSuppressions
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
        - name: channel
          in: query
          description: Filter by channel
          schema:
            type: string
            enum:
              - email
              - sms
      responses:
        '200':
          description: Suppressed addresses
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SuppressionEntry'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
components:
  schemas:
    SuppressionEntry:
      type: object
      properties:
        address:
          type: string
          example: user@example.com
        reason:
          type: string
          enum:
            - hard_bounce
            - complaint
        channel:
          type: string
          enum:
            - email
            - sms
        suppressedAt:
          type: string
          format: date-time
    PaginationMeta:
      type: object
      properties:
        total:
          type: integer
          example: 42
        perPage:
          type: integer
          example: 20
        page:
          type: integer
          example: 1
        lastPage:
          type: integer
          example: 3
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |
        Prefix `tor_` followed by a base64url-encoded random key.
        Obtain one from `POST /api/v1/workspaces` or `POST /api/v1/auth/keys`.

````